// mthode utilisant l'api Flickr pour rcuprer les images suivant les mots-cl saisis
function searchFlickr() {
	// rcupration de la saisie utilisateur
	var mots_cle = escape(document.getElementById('flickr_search').value);
	// excution du javascript permettant de d'introger Flickr.com
	include_dom_js_file("http://api.flickr.com/services/feeds/photos_public.gne?tags=" + mots_cle + "&format=json&date=" + new Date().getTime());
	document.getElementById('flickr_results').innerHTML = "R&eacute;cup&eacute;ration des images ...";
	
	return false;
}

// mthode de callback de flickr qui nous renvoie les images 
// qui correspondent au critre de recherche au format json
function jsonFlickrFeed(feed) {
	var images = '';
	for (i=0, j=feed.items.length; i<j; i++) {
		var imgSrc = feed.items[i].media.m.replace(/_m\.jpg/g,'_s.jpg'); // pour afficher les miniatures
		var imgTitle = feed.items[i].title;
		var imgLink = feed.items[i].link;
		if (imgLink) {
			images += '<a href="' + imgLink + '" target="_blank">';
		}
		images += '<img src="' + imgSrc + '" title="' + imgTitle + '" width="75px" height="75px" style="margin: 2px;">';
		if (imgLink) {
			images += '</a>';
		}
	}
	document.getElementById('flickr_results').innerHTML = images;
}
